乐动体育彩票 > 乐动体育彩票 > emlog6.0 对支持php8.0 兼容修改
今天把emlog5.3.1程序升级到emlog6.0,但是不能直接使用php8.0版本,需要修改三个位置。

include\lib\function.base.php

增加红线标注的判断 function_exists('get_magic_quotes_gpc') && 

QQ截图20210125143618.png

增加红线标注的判断 empty($emHooks[$hook])||

QQ截图20210125143546.png



修改不存在标签出现错误的问题,在 include\model\tag_model.php 增加一行 if(empty($tagId)) return false;

QQ截图20210125144645.png

目前暂时只发现在这几个需要处理的,并且发现很多地方都没有做兼容判断处理。
既然来了就说点什么吧………